import es
import playerlib
import cmdlib
import services
import gamethread
import usermsg
#################################################################################
############################### CONFIGURATION ###################################
#################################################################################

# Command to player buy health
cmd_buy = '!health'

# How much the HP will cost to player?
cost_to_buy = 1000

# How much the player will gain?
hp_gain = 75

# How much HP left is necessary to player buy more HP?
hp_need = 15

# To configure the messages, you can use colors: green, lightgreen and default.
# '#green' = green message
# '#lightgreen' = light green message
# '#default' = default color for messages in CSS

# Message for every round start
# %s is the command to buy HP
msg_rounds = '#default If you HP is low, buy more: #green%s'

# Message if the player not have money to buy
# %s is how much is needed to buy
msg_no_money = '#default You do not have money! #lightgreen($%s)'

# Message if the player have more than "hp_need"
msg_hp_high = '#default Your HP is too high!'

# Message if the player is dead
msg_isdead = '#default You have to be #greenalive #defaultto buy HP!'

# Message when player buy HP
# First %s - nickname
# Second %s - hp_gain
# Third %s - cost_to_buy
msg_buyed = '#default Player #lightgreen%s buy #green%sHP for #green$%s'



#################################################################################
############################## END OF CONFIGURATION #############################
#################################################################################

info = es.AddonInfo()
info.name = 'Buy HP'
info.version = '0.1'
info.url = 'http://www.czsbrasil.com.br/'
info.basename = 'buyhp'
info.author = 'Yatchi'

buyhp = es.ServerVar('buyhp',info.version,'BuyHP by Yatchi').makepublic()


def load():

	es.msg('BuyHP - Loaded successfull')
	es.msg('By [Yatchi]')

def round_start(event_var):

	es.msg('#multi', '#green[BuyHP]' + msg_rounds % cmd_buy)

def givehp(userid, args):

	userid = es.getcmduserid()
	nick = es.getplayername(userid)
	play = playerlib.getPlayer(userid)
	morto = play.get('isdead')
	hp = play.get('health')
	dinheirodele = play.get('cash')

	if morto == 0:
		if hp <= hp_need:
			if dinheirodele >= cost_to_buy:

				tirardinheiro = dinheirodele - cost_to_buy
				play.set('cash', tirardinheiro)
				
				darhp = hp + hp_gain
				play.set('health', darhp)
				
				es.msg('#multi', '#green[BuyHP]' + msg_buyed % (nick, hp_gain, cost_to_buy))
			else:
			
				es.tell(userid, '#multi', '#green[BuyHP]' + msg_no_money % cost_to_buy)
		else:
		
			es.tell(userid, '#multi', '#green[BuyHP]' + msg_hp_high)
	else:
	
		es.tell(userid, '#multi', '#green[BuyHP' + msg_isdead)

cmdlib.registerSayCommand(cmd_buy, givehp, 'Buy Health!.')

def unload():

	es.msg('Buy HP - Unloaded Successfull')
	cmdlib.unregisterSayCommand(cmd_buy)